ATTR_GET_FILE_DIR(1)

NAME
attr_get_file_dir - fetch RSBAC attribute values for filesystem objects

SYNOPSIS

attr_get_file_dir [-epcRa] [-n target] {module} {target-type} {file/dirname(s)} {attribute} [request]

attr_get_file_dir [-epcRa] [-n target] {module} {target-type} {file/dirname(s)} {attribute} [position]

attr_get_file_dir {list_category_nr}

DESCRIPTION

You need attr_get_file_dir to get RSBAC attribute values of filesystem objects. There are different attributes for different RSBAC modules. Check appropriate documentation about possible attributes for module you want to administrate or use -a option to see the full list.

OPTIONS

-e  show effective (maybe inherited) value instead of the real value. See appropriate documentation about the difference between effective and real values.

-p  print names of used requests

-n target
    list all requests for target

-c  list all Linux capabilities

-R  list all RES resource names

-a  list all attributes and values

-A  list attributes and values

module
    One of the possible RSBAC modules, e.g., GEN, MAC, FC, SIM, PM, MS, FF, RC, AUTH or RES.

target-type
    One of the possible RSBAC target types, e.g., FILE, DIR, FIFO, SYMLINK or DEV.

AUTHOR
Amon Ott <ao@rsbac.org>.